Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707364 - app-shells/dash-0.5.10.2 USE=libedit - ld: input.o:(.bss+0x0): multiple definition of `el'; histedit.o:(.bss+0x8): first defined here
Summary: app-shells/dash-0.5.10.2 USE=libedit - ld: input.o:(.bss+0x0): multiple defin...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 11:25 UTC by Jeroen Roovers
Modified: 2020-05-02 18:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
app-shells:dash-0.5.10.2:20200130-112253.log (app-shells:dash-0.5.10.2:20200130-112253.log,26.62 KB, text/plain)
2020-01-30 11:25 UTC, Jeroen Roovers
Details
dash-0.5.10.2-fno-common.patch (dash-0.5.10.2-fno-common.patch,341 bytes, patch)
2020-01-30 11:31 UTC, Jeroen Roovers
Details | Diff
dash-0.5.10.2-fno-common.patch (dash-0.5.10.2-fno-common.patch,1004 bytes, patch)
2020-03-16 18:29 UTC, Jeroen Roovers
Details | Diff
0001-input-Fix-compiling-against-libedit-with-fno-common.patch (0001-input-Fix-compiling-against-libedit-with-fno-common.patch,1.06 KB, patch)
2020-03-16 19:24 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2020-01-30 11:25:03 UTC
Created attachment 608590 [details]
app-shells:dash-0.5.10.2:20200130-112253.log

/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: input.o:(.bss+0x0): multiple definition of `el'; histedit.o:(.bss+0x8): first defined here
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:347: dash] Error 1
make[3]: Leaving directory '/home/jer/portage/app-shells/dash-0.5.10.2/work/dash-0.5.10.2/src'
make[2]: *** [Makefile:259: all] Error 2
make[2]: Leaving directory '/home/jer/portage/app-shells/dash-0.5.10.2/work/dash-0.5.10.2/src'
make[1]: *** [Makefile:279: all-recursive] Error 1
make[1]: Leaving directory '/home/jer/portage/app-shells/dash-0.5.10.2/work/dash-0.5.10.2'
make: *** [Makefile:219: all] Error 2
Comment 1 Jeroen Roovers gentoo-dev 2020-01-30 11:31:02 UTC
Created attachment 608592 [details, diff]
dash-0.5.10.2-fno-common.patch
Comment 2 Jeroen Roovers gentoo-dev 2020-03-16 17:10:54 UTC
ping
Comment 3 Mike Gilbert gentoo-dev 2020-03-16 18:08:57 UTC
Could you send a patch upstream?

Alternatively if you create a patch using git-format-patch, I could forward it upstream on your behalf.
Comment 4 Jeroen Roovers gentoo-dev 2020-03-16 18:23:07 UTC
(In reply to Mike Gilbert from comment #3)
> Could you send a patch upstream?
> 
> Alternatively if you create a patch using git-format-patch, I could forward
> it upstream on your behalf.

Perhaps by committing it to the portage tree?
Comment 5 Jeroen Roovers gentoo-dev 2020-03-16 18:29:37 UTC
Created attachment 620706 [details, diff]
dash-0.5.10.2-fno-common.patch

Here you are.
Comment 6 Mike Gilbert gentoo-dev 2020-03-16 18:51:41 UTC
(In reply to Jeroen Roovers from comment #5)

It appears you used git show, or some similar command.

Please use git format-patch to produce an email-compatible file. Thanks.
Comment 7 Jeroen Roovers gentoo-dev 2020-03-16 19:24:09 UTC
Created attachment 620708 [details, diff]
0001-input-Fix-compiling-against-libedit-with-fno-common.patch

Like this? :-/
Comment 8 Mike Gilbert gentoo-dev 2020-03-16 19:30:26 UTC
(In reply to Jeroen Roovers from comment #7)

Yup, that looks better. Thanks.
Comment 9 Mike Gilbert gentoo-dev 2020-05-02 18:39:13 UTC
Patch emailed today.
Comment 10 Larry the Git Cow gentoo-dev 2020-05-02 18:47:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8150f54880d314e05ea95e167a77fab7af230146

commit 8150f54880d314e05ea95e167a77fab7af230146
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2020-05-02 18:42:21 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-05-02 18:47:06 +0000

    app-shells/dash: fix build with gcc -fno-common
    
    Closes: https://bugs.gentoo.org/707364
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 app-shells/dash/dash-0.5.10.2-r1.ebuild            |  5 ++-
 .../dash/files/dash-0.5.20.2-gcc-fno-common.patch  | 38 ++++++++++++++++++++++
 2 files changed, 42 insertions(+), 1 deletion(-)